@node plot_summary Invocation
@section Invoking plot_summary
@pindex plot_summary
@cindex plot statistics generated by summary script
@ignore
#
# EDIT THIS FILE WITH CAUTION  (invoke-plot_summary.texi)
#
# It has been AutoGen-ed  April 26, 2016 at 08:25:00 PM by AutoGen 5.18.5
# From the definitions    plot_summary-opts.def
# and the template file   agtexi-cmd.tpl
@end ignore


This section was generated by @strong{AutoGen},
using the @code{agtexi-cmd} template and the option descriptions for the @code{plot_summary} program.

@menu
* plot_summary usage::                  plot_summary help/usage (@option{--help})
* plot_summary directory::              directory option
* plot_summary identifier::             identifier option
* plot_summary peer::                   peer option
* plot_summary plot-term::              plot-term option
* plot_summary output-file::            output-file option
* plot_summary exit status::            exit status
@end menu

@node plot_summary usage
@subsection plot_summary help/usage (@option{--help})
@cindex plot_summary help

This is the automatically generated usage text for plot_summary.

The text printed is the same whether selected with the @code{help} option
(@option{--help}) or the @code{more-help} option (@option{--more-help}).  @code{more-help} will print
the usage text by passing it through a pager program.
@code{more-help} is disabled on platforms without a working
@code{fork(2)} function.  The @code{PAGER} environment variable is
used to select the program, defaulting to @file{more}.  Both will exit
with a status code of 0.

@exampleindent 0
@example
plot_summary - plot statistics generated by summary script - Ver. 4.2.8p7
USAGE: plot_summary [ -<flag> [<val>] | --<name>[@{=| @}<val>] ]... 

        --directory=str          Where the summary files are
        --identifier=str         Origin of the data
        --offset-limit=float     Limit of absolute offset
        --peer=str               Peers to generate plots for
                                   - may appear multiple times
        --plot-term=str          Gnuplot terminal
        --output-file=str        Output file
        --dont-wait              Don't wait for keystroke between plots
    -?, --help                   Display usage information and exit
        --more-help              Pass the extended usage text through a pager

Options are specified by doubled hyphens and their name or by a single
hyphen and the flag character.
@end example
@exampleindent 4

@node plot_summary directory
@subsection directory option
@cindex plot_summary-directory

This is the ``where the summary files are'' option.
This option takes a string argument.
        The directory where the @code{plot_summary} will search for the
        *_summary files generated by @code{summary} script.
@node plot_summary identifier
@subsection identifier option
@cindex plot_summary-identifier

This is the ``origin of the data'' option.
This option takes a string argument.
        Where does the plotted data come from, default to string "host" plus
        current hostname
@node plot_summary peer
@subsection peer option
@cindex plot_summary-peer

This is the ``peers to generate plots for'' option.
This option takes a string argument.

@noindent
This option has some usage constraints.  It:
@itemize @bullet
@item
may appear an unlimited number of times.
@end itemize

        By default the peer_summary plots are not generated. Use this option to
        specify list of peers if you want to generate plots for them.
@node plot_summary plot-term
@subsection plot-term option
@cindex plot_summary-plot-term

This is the ``gnuplot terminal'' option.
This option takes a string argument.
        This is string is passed directly to the @code{gnuplot set terminal}
        command.  Default is @code{x11} if @code{DISPLAY} is set and
        @code{dumb} is it's not'. See output from @code(gnuplot -e "set
        terminal") for the list of avalaible options.
@node plot_summary output-file
@subsection output-file option
@cindex plot_summary-output-file

This is the ``output file'' option.
This option takes a str argument.
        Output file for @code{gnuplot}, default to stdout.
@node plot_summary exit status
@subsection plot_summary exit status

One of the following exit values will be returned:
@table @samp
@item 0 (EXIT_SUCCESS)
Successful program execution.
@item 1 (EXIT_FAILURE)
The operation failed or the command syntax was not valid.
@end table
